Skip to content

List with primary inventory locations

Request

Returns a paginated list of With Primary Inventory Locations for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""name""separationType"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
childSeparationIdstring

Identifier of the child separation, if any.

Example:childSeparationId=123e4567-e89b-12d3-a456-426614174000
contactIdstring

Identifier of the associated contact entity, if any.

Example:contactId=123e4567-e89b-12d3-a456-426614174000
isActiveboolean

Whether this separation is currently active.

namestring

Human-readable name of the separation (e.g., clinic or department name).

parentSeparationIdstring

Identifier of the parent separation, if any.

Example:parentSeparationId=123e4567-e89b-12d3-a456-426614174000
primaryInventoryLocationIdstring

Identifier of the primary inventory location associated with this separation.

Example:primaryInventoryLocationId=123e4567-e89b-12d3-a456-426614174000
separationCategorystring

High-level category of the separation (e.g., division, department).

Enum:"division""department""location""other"
separationTypestring

Free-text type or classification of the separation as used in the source system.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/with-primary-inventory-location?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&childSeparationId=123e4567-e89b-12d3-a456-426614174000&contactId=123e4567-e89b-12d3-a456-426614174000&isActive=true&name=string&parentSeparationId=123e4567-e89b-12d3-a456-426614174000&primaryInventoryLocationId=123e4567-e89b-12d3-a456-426614174000&separationCategory=division&separationType=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of With Primary Inventory Locations